IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/96
Addresses4,294,967,296
/64 networksPart of one
- Network
fe80:c25b:dd:ec00:ec00:85::/96- First address
fe80:c25b:dd:ec00:ec00:85::- Last address
fe80:c25b:dd:ec00:ec00:85:ffff:ffff- Addresses
- 4,294,967,296
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:ec00:ec00:0085:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
5.8.0.0.0.0.c.e.0.0.c.e.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25b:dd:ec00:ec00:85::/96 makes 256 subnets of /104.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:ec00:ec00:85::/104 | fe80:c25b:dd:ec00:ec00:85:ff:ffff |
| 2 | fe80:c25b:dd:ec00:ec00:85:100:0/104 | fe80:c25b:dd:ec00:ec00:85:1ff:ffff |
| 3 | fe80:c25b:dd:ec00:ec00:85:200:0/104 | fe80:c25b:dd:ec00:ec00:85:2ff:ffff |
| 4 | fe80:c25b:dd:ec00:ec00:85:300:0/104 | fe80:c25b:dd:ec00:ec00:85:3ff:ffff |
| 5 | fe80:c25b:dd:ec00:ec00:85:400:0/104 | fe80:c25b:dd:ec00:ec00:85:4ff:ffff |
| 6 | fe80:c25b:dd:ec00:ec00:85:500:0/104 | fe80:c25b:dd:ec00:ec00:85:5ff:ffff |
| 7 | fe80:c25b:dd:ec00:ec00:85:600:0/104 | fe80:c25b:dd:ec00:ec00:85:6ff:ffff |
| 8 | fe80:c25b:dd:ec00:ec00:85:700:0/104 | fe80:c25b:dd:ec00:ec00:85:7ff:ffff |
| 9 | fe80:c25b:dd:ec00:ec00:85:800:0/104 | fe80:c25b:dd:ec00:ec00:85:8ff:ffff |
| 10 | fe80:c25b:dd:ec00:ec00:85:900:0/104 | fe80:c25b:dd:ec00:ec00:85:9ff:ffff |
| 11 | fe80:c25b:dd:ec00:ec00:85:a00:0/104 | fe80:c25b:dd:ec00:ec00:85:aff:ffff |
| 12 | fe80:c25b:dd:ec00:ec00:85:b00:0/104 | fe80:c25b:dd:ec00:ec00:85:bff:ffff |
| 13 | fe80:c25b:dd:ec00:ec00:85:c00:0/104 | fe80:c25b:dd:ec00:ec00:85:cff:ffff |
| 14 | fe80:c25b:dd:ec00:ec00:85:d00:0/104 | fe80:c25b:dd:ec00:ec00:85:dff:ffff |
| 15 | fe80:c25b:dd:ec00:ec00:85:e00:0/104 | fe80:c25b:dd:ec00:ec00:85:eff:ffff |
| 16 | fe80:c25b:dd:ec00:ec00:85:f00:0/104 | fe80:c25b:dd:ec00:ec00:85:fff:ffff |
| 17 | fe80:c25b:dd:ec00:ec00:85:1000:0/104 | fe80:c25b:dd:ec00:ec00:85:10ff:ffff |
| 18 | fe80:c25b:dd:ec00:ec00:85:1100:0/104 | fe80:c25b:dd:ec00:ec00:85:11ff:ffff |
| 19 | fe80:c25b:dd:ec00:ec00:85:1200:0/104 | fe80:c25b:dd:ec00:ec00:85:12ff:ffff |
| 20 | fe80:c25b:dd:ec00:ec00:85:1300:0/104 | fe80:c25b:dd:ec00:ec00:85:13ff:ffff |
| 21 | fe80:c25b:dd:ec00:ec00:85:1400:0/104 | fe80:c25b:dd:ec00:ec00:85:14ff:ffff |
| 22 | fe80:c25b:dd:ec00:ec00:85:1500:0/104 | fe80:c25b:dd:ec00:ec00:85:15ff:ffff |
| 23 | fe80:c25b:dd:ec00:ec00:85:1600:0/104 | fe80:c25b:dd:ec00:ec00:85:16ff:ffff |
| 24 | fe80:c25b:dd:ec00:ec00:85:1700:0/104 | fe80:c25b:dd:ec00:ec00:85:17ff:ffff |
| 25 | fe80:c25b:dd:ec00:ec00:85:1800:0/104 | fe80:c25b:dd:ec00:ec00:85:18ff:ffff |
| 26 | fe80:c25b:dd:ec00:ec00:85:1900:0/104 | fe80:c25b:dd:ec00:ec00:85:19ff:ffff |
| 27 | fe80:c25b:dd:ec00:ec00:85:1a00:0/104 | fe80:c25b:dd:ec00:ec00:85:1aff:ffff |
| 28 | fe80:c25b:dd:ec00:ec00:85:1b00:0/104 | fe80:c25b:dd:ec00:ec00:85:1bff:ffff |
| 29 | fe80:c25b:dd:ec00:ec00:85:1c00:0/104 | fe80:c25b:dd:ec00:ec00:85:1cff:ffff |
| 30 | fe80:c25b:dd:ec00:ec00:85:1d00:0/104 | fe80:c25b:dd:ec00:ec00:85:1dff:ffff |
| 31 | fe80:c25b:dd:ec00:ec00:85:1e00:0/104 | fe80:c25b:dd:ec00:ec00:85:1eff:ffff |
| 32 | fe80:c25b:dd:ec00:ec00:85:1f00:0/104 | fe80:c25b:dd:ec00:ec00:85:1fff:ffff |
| 33 | fe80:c25b:dd:ec00:ec00:85:2000:0/104 | fe80:c25b:dd:ec00:ec00:85:20ff:ffff |
| 34 | fe80:c25b:dd:ec00:ec00:85:2100:0/104 | fe80:c25b:dd:ec00:ec00:85:21ff:ffff |
| 35 | fe80:c25b:dd:ec00:ec00:85:2200:0/104 | fe80:c25b:dd:ec00:ec00:85:22ff:ffff |
| 36 | fe80:c25b:dd:ec00:ec00:85:2300:0/104 | fe80:c25b:dd:ec00:ec00:85:23ff:ffff |
| 37 | fe80:c25b:dd:ec00:ec00:85:2400:0/104 | fe80:c25b:dd:ec00:ec00:85:24ff:ffff |
| 38 | fe80:c25b:dd:ec00:ec00:85:2500:0/104 | fe80:c25b:dd:ec00:ec00:85:25ff:ffff |
| 39 | fe80:c25b:dd:ec00:ec00:85:2600:0/104 | fe80:c25b:dd:ec00:ec00:85:26ff:ffff |
| 40 | fe80:c25b:dd:ec00:ec00:85:2700:0/104 | fe80:c25b:dd:ec00:ec00:85:27ff:ffff |
| 41 | fe80:c25b:dd:ec00:ec00:85:2800:0/104 | fe80:c25b:dd:ec00:ec00:85:28ff:ffff |
| 42 | fe80:c25b:dd:ec00:ec00:85:2900:0/104 | fe80:c25b:dd:ec00:ec00:85:29ff:ffff |
| 43 | fe80:c25b:dd:ec00:ec00:85:2a00:0/104 | fe80:c25b:dd:ec00:ec00:85:2aff:ffff |
| 44 | fe80:c25b:dd:ec00:ec00:85:2b00:0/104 | fe80:c25b:dd:ec00:ec00:85:2bff:ffff |
| 45 | fe80:c25b:dd:ec00:ec00:85:2c00:0/104 | fe80:c25b:dd:ec00:ec00:85:2cff:ffff |
| 46 | fe80:c25b:dd:ec00:ec00:85:2d00:0/104 | fe80:c25b:dd:ec00:ec00:85:2dff:ffff |
| 47 | fe80:c25b:dd:ec00:ec00:85:2e00:0/104 | fe80:c25b:dd:ec00:ec00:85:2eff:ffff |
| 48 | fe80:c25b:dd:ec00:ec00:85:2f00:0/104 | fe80:c25b:dd:ec00:ec00:85:2fff:ffff |
| 49 | fe80:c25b:dd:ec00:ec00:85:3000:0/104 | fe80:c25b:dd:ec00:ec00:85:30ff:ffff |
| 50 | fe80:c25b:dd:ec00:ec00:85:3100:0/104 | fe80:c25b:dd:ec00:ec00:85:31ff:ffff |
| 51 | fe80:c25b:dd:ec00:ec00:85:3200:0/104 | fe80:c25b:dd:ec00:ec00:85:32ff:ffff |
| 52 | fe80:c25b:dd:ec00:ec00:85:3300:0/104 | fe80:c25b:dd:ec00:ec00:85:33ff:ffff |
| 53 | fe80:c25b:dd:ec00:ec00:85:3400:0/104 | fe80:c25b:dd:ec00:ec00:85:34ff:ffff |
| 54 | fe80:c25b:dd:ec00:ec00:85:3500:0/104 | fe80:c25b:dd:ec00:ec00:85:35ff:ffff |
| 55 | fe80:c25b:dd:ec00:ec00:85:3600:0/104 | fe80:c25b:dd:ec00:ec00:85:36ff:ffff |
| 56 | fe80:c25b:dd:ec00:ec00:85:3700:0/104 | fe80:c25b:dd:ec00:ec00:85:37ff:ffff |
| 57 | fe80:c25b:dd:ec00:ec00:85:3800:0/104 | fe80:c25b:dd:ec00:ec00:85:38ff:ffff |
| 58 | fe80:c25b:dd:ec00:ec00:85:3900:0/104 | fe80:c25b:dd:ec00:ec00:85:39ff:ffff |
| 59 | fe80:c25b:dd:ec00:ec00:85:3a00:0/104 | fe80:c25b:dd:ec00:ec00:85:3aff:ffff |
| 60 | fe80:c25b:dd:ec00:ec00:85:3b00:0/104 | fe80:c25b:dd:ec00:ec00:85:3bff:ffff |
| 61 | fe80:c25b:dd:ec00:ec00:85:3c00:0/104 | fe80:c25b:dd:ec00:ec00:85:3cff:ffff |
| 62 | fe80:c25b:dd:ec00:ec00:85:3d00:0/104 | fe80:c25b:dd:ec00:ec00:85:3dff:ffff |
| 63 | fe80:c25b:dd:ec00:ec00:85:3e00:0/104 | fe80:c25b:dd:ec00:ec00:85:3eff:ffff |
| 64 | fe80:c25b:dd:ec00:ec00:85:3f00:0/104 | fe80:c25b:dd:ec00:ec00:85:3fff:ffff |
| 65 | fe80:c25b:dd:ec00:ec00:85:4000:0/104 | fe80:c25b:dd:ec00:ec00:85:40ff:ffff |
| 66 | fe80:c25b:dd:ec00:ec00:85:4100:0/104 | fe80:c25b:dd:ec00:ec00:85:41ff:ffff |
| 67 | fe80:c25b:dd:ec00:ec00:85:4200:0/104 | fe80:c25b:dd:ec00:ec00:85:42ff:ffff |
| 68 | fe80:c25b:dd:ec00:ec00:85:4300:0/104 | fe80:c25b:dd:ec00:ec00:85:43ff:ffff |
| 69 | fe80:c25b:dd:ec00:ec00:85:4400:0/104 | fe80:c25b:dd:ec00:ec00:85:44ff:ffff |
| 70 | fe80:c25b:dd:ec00:ec00:85:4500:0/104 | fe80:c25b:dd:ec00:ec00:85:45ff:ffff |
| 71 | fe80:c25b:dd:ec00:ec00:85:4600:0/104 | fe80:c25b:dd:ec00:ec00:85:46ff:ffff |
| 72 | fe80:c25b:dd:ec00:ec00:85:4700:0/104 | fe80:c25b:dd:ec00:ec00:85:47ff:ffff |
| 73 | fe80:c25b:dd:ec00:ec00:85:4800:0/104 | fe80:c25b:dd:ec00:ec00:85:48ff:ffff |
| 74 | fe80:c25b:dd:ec00:ec00:85:4900:0/104 | fe80:c25b:dd:ec00:ec00:85:49ff:ffff |
| 75 | fe80:c25b:dd:ec00:ec00:85:4a00:0/104 | fe80:c25b:dd:ec00:ec00:85:4aff:ffff |
| 76 | fe80:c25b:dd:ec00:ec00:85:4b00:0/104 | fe80:c25b:dd:ec00:ec00:85:4bff:ffff |
| 77 | fe80:c25b:dd:ec00:ec00:85:4c00:0/104 | fe80:c25b:dd:ec00:ec00:85:4cff:ffff |
| 78 | fe80:c25b:dd:ec00:ec00:85:4d00:0/104 | fe80:c25b:dd:ec00:ec00:85:4dff:ffff |
| 79 | fe80:c25b:dd:ec00:ec00:85:4e00:0/104 | fe80:c25b:dd:ec00:ec00:85:4eff:ffff |
| 80 | fe80:c25b:dd:ec00:ec00:85:4f00:0/104 | fe80:c25b:dd:ec00:ec00:85:4fff:ffff |
| 81 | fe80:c25b:dd:ec00:ec00:85:5000:0/104 | fe80:c25b:dd:ec00:ec00:85:50ff:ffff |
| 82 | fe80:c25b:dd:ec00:ec00:85:5100:0/104 | fe80:c25b:dd:ec00:ec00:85:51ff:ffff |
| 83 | fe80:c25b:dd:ec00:ec00:85:5200:0/104 | fe80:c25b:dd:ec00:ec00:85:52ff:ffff |
| 84 | fe80:c25b:dd:ec00:ec00:85:5300:0/104 | fe80:c25b:dd:ec00:ec00:85:53ff:ffff |
| 85 | fe80:c25b:dd:ec00:ec00:85:5400:0/104 | fe80:c25b:dd:ec00:ec00:85:54ff:ffff |
| 86 | fe80:c25b:dd:ec00:ec00:85:5500:0/104 | fe80:c25b:dd:ec00:ec00:85:55ff:ffff |
| 87 | fe80:c25b:dd:ec00:ec00:85:5600:0/104 | fe80:c25b:dd:ec00:ec00:85:56ff:ffff |
| 88 | fe80:c25b:dd:ec00:ec00:85:5700:0/104 | fe80:c25b:dd:ec00:ec00:85:57ff:ffff |
| 89 | fe80:c25b:dd:ec00:ec00:85:5800:0/104 | fe80:c25b:dd:ec00:ec00:85:58ff:ffff |
| 90 | fe80:c25b:dd:ec00:ec00:85:5900:0/104 | fe80:c25b:dd:ec00:ec00:85:59ff:ffff |
| 91 | fe80:c25b:dd:ec00:ec00:85:5a00:0/104 | fe80:c25b:dd:ec00:ec00:85:5aff:ffff |
| 92 | fe80:c25b:dd:ec00:ec00:85:5b00:0/104 | fe80:c25b:dd:ec00:ec00:85:5bff:ffff |
| 93 | fe80:c25b:dd:ec00:ec00:85:5c00:0/104 | fe80:c25b:dd:ec00:ec00:85:5cff:ffff |
| 94 | fe80:c25b:dd:ec00:ec00:85:5d00:0/104 | fe80:c25b:dd:ec00:ec00:85:5dff:ffff |
| 95 | fe80:c25b:dd:ec00:ec00:85:5e00:0/104 | fe80:c25b:dd:ec00:ec00:85:5eff:ffff |
| 96 | fe80:c25b:dd:ec00:ec00:85:5f00:0/104 | fe80:c25b:dd:ec00:ec00:85:5fff:ffff |
| 97 | fe80:c25b:dd:ec00:ec00:85:6000:0/104 | fe80:c25b:dd:ec00:ec00:85:60ff:ffff |
| 98 | fe80:c25b:dd:ec00:ec00:85:6100:0/104 | fe80:c25b:dd:ec00:ec00:85:61ff:ffff |
| 99 | fe80:c25b:dd:ec00:ec00:85:6200:0/104 | fe80:c25b:dd:ec00:ec00:85:62ff:ffff |
| 100 | fe80:c25b:dd:ec00:ec00:85:6300:0/104 | fe80:c25b:dd:ec00:ec00:85:63ff:ffff |
| 101 | fe80:c25b:dd:ec00:ec00:85:6400:0/104 | fe80:c25b:dd:ec00:ec00:85:64ff:ffff |
| 102 | fe80:c25b:dd:ec00:ec00:85:6500:0/104 | fe80:c25b:dd:ec00:ec00:85:65ff:ffff |
| 103 | fe80:c25b:dd:ec00:ec00:85:6600:0/104 | fe80:c25b:dd:ec00:ec00:85:66ff:ffff |
| 104 | fe80:c25b:dd:ec00:ec00:85:6700:0/104 | fe80:c25b:dd:ec00:ec00:85:67ff:ffff |
| 105 | fe80:c25b:dd:ec00:ec00:85:6800:0/104 | fe80:c25b:dd:ec00:ec00:85:68ff:ffff |
| 106 | fe80:c25b:dd:ec00:ec00:85:6900:0/104 | fe80:c25b:dd:ec00:ec00:85:69ff:ffff |
| 107 | fe80:c25b:dd:ec00:ec00:85:6a00:0/104 | fe80:c25b:dd:ec00:ec00:85:6aff:ffff |
| 108 | fe80:c25b:dd:ec00:ec00:85:6b00:0/104 | fe80:c25b:dd:ec00:ec00:85:6bff:ffff |
| 109 | fe80:c25b:dd:ec00:ec00:85:6c00:0/104 | fe80:c25b:dd:ec00:ec00:85:6cff:ffff |
| 110 | fe80:c25b:dd:ec00:ec00:85:6d00:0/104 | fe80:c25b:dd:ec00:ec00:85:6dff:ffff |
| 111 | fe80:c25b:dd:ec00:ec00:85:6e00:0/104 | fe80:c25b:dd:ec00:ec00:85:6eff:ffff |
| 112 | fe80:c25b:dd:ec00:ec00:85:6f00:0/104 | fe80:c25b:dd:ec00:ec00:85:6fff:ffff |
| 113 | fe80:c25b:dd:ec00:ec00:85:7000:0/104 | fe80:c25b:dd:ec00:ec00:85:70ff:ffff |
| 114 | fe80:c25b:dd:ec00:ec00:85:7100:0/104 | fe80:c25b:dd:ec00:ec00:85:71ff:ffff |
| 115 | fe80:c25b:dd:ec00:ec00:85:7200:0/104 | fe80:c25b:dd:ec00:ec00:85:72ff:ffff |
| 116 | fe80:c25b:dd:ec00:ec00:85:7300:0/104 | fe80:c25b:dd:ec00:ec00:85:73ff:ffff |
| 117 | fe80:c25b:dd:ec00:ec00:85:7400:0/104 | fe80:c25b:dd:ec00:ec00:85:74ff:ffff |
| 118 | fe80:c25b:dd:ec00:ec00:85:7500:0/104 | fe80:c25b:dd:ec00:ec00:85:75ff:ffff |
| 119 | fe80:c25b:dd:ec00:ec00:85:7600:0/104 | fe80:c25b:dd:ec00:ec00:85:76ff:ffff |
| 120 | fe80:c25b:dd:ec00:ec00:85:7700:0/104 | fe80:c25b:dd:ec00:ec00:85:77ff:ffff |
| 121 | fe80:c25b:dd:ec00:ec00:85:7800:0/104 | fe80:c25b:dd:ec00:ec00:85:78ff:ffff |
| 122 | fe80:c25b:dd:ec00:ec00:85:7900:0/104 | fe80:c25b:dd:ec00:ec00:85:79ff:ffff |
| 123 | fe80:c25b:dd:ec00:ec00:85:7a00:0/104 | fe80:c25b:dd:ec00:ec00:85:7aff:ffff |
| 124 | fe80:c25b:dd:ec00:ec00:85:7b00:0/104 | fe80:c25b:dd:ec00:ec00:85:7bff:ffff |
| 125 | fe80:c25b:dd:ec00:ec00:85:7c00:0/104 | fe80:c25b:dd:ec00:ec00:85:7cff:ffff |
| 126 | fe80:c25b:dd:ec00:ec00:85:7d00:0/104 | fe80:c25b:dd:ec00:ec00:85:7dff:ffff |
| 127 | fe80:c25b:dd:ec00:ec00:85:7e00:0/104 | fe80:c25b:dd:ec00:ec00:85:7eff:ffff |
| 128 | fe80:c25b:dd:ec00:ec00:85:7f00:0/104 | fe80:c25b:dd:ec00:ec00:85:7fff:ffff |
| 129 | fe80:c25b:dd:ec00:ec00:85:8000:0/104 | fe80:c25b:dd:ec00:ec00:85:80ff:ffff |
| 130 | fe80:c25b:dd:ec00:ec00:85:8100:0/104 | fe80:c25b:dd:ec00:ec00:85:81ff:ffff |
| 131 | fe80:c25b:dd:ec00:ec00:85:8200:0/104 | fe80:c25b:dd:ec00:ec00:85:82ff:ffff |
| 132 | fe80:c25b:dd:ec00:ec00:85:8300:0/104 | fe80:c25b:dd:ec00:ec00:85:83ff:ffff |
| 133 | fe80:c25b:dd:ec00:ec00:85:8400:0/104 | fe80:c25b:dd:ec00:ec00:85:84ff:ffff |
| 134 | fe80:c25b:dd:ec00:ec00:85:8500:0/104 | fe80:c25b:dd:ec00:ec00:85:85ff:ffff |
| 135 | fe80:c25b:dd:ec00:ec00:85:8600:0/104 | fe80:c25b:dd:ec00:ec00:85:86ff:ffff |
| 136 | fe80:c25b:dd:ec00:ec00:85:8700:0/104 | fe80:c25b:dd:ec00:ec00:85:87ff:ffff |
| 137 | fe80:c25b:dd:ec00:ec00:85:8800:0/104 | fe80:c25b:dd:ec00:ec00:85:88ff:ffff |
| 138 | fe80:c25b:dd:ec00:ec00:85:8900:0/104 | fe80:c25b:dd:ec00:ec00:85:89ff:ffff |
| 139 | fe80:c25b:dd:ec00:ec00:85:8a00:0/104 | fe80:c25b:dd:ec00:ec00:85:8aff:ffff |
| 140 | fe80:c25b:dd:ec00:ec00:85:8b00:0/104 | fe80:c25b:dd:ec00:ec00:85:8bff:ffff |
| 141 | fe80:c25b:dd:ec00:ec00:85:8c00:0/104 | fe80:c25b:dd:ec00:ec00:85:8cff:ffff |
| 142 | fe80:c25b:dd:ec00:ec00:85:8d00:0/104 | fe80:c25b:dd:ec00:ec00:85:8dff:ffff |
| 143 | fe80:c25b:dd:ec00:ec00:85:8e00:0/104 | fe80:c25b:dd:ec00:ec00:85:8eff:ffff |
| 144 | fe80:c25b:dd:ec00:ec00:85:8f00:0/104 | fe80:c25b:dd:ec00:ec00:85:8fff:ffff |
| 145 | fe80:c25b:dd:ec00:ec00:85:9000:0/104 | fe80:c25b:dd:ec00:ec00:85:90ff:ffff |
| 146 | fe80:c25b:dd:ec00:ec00:85:9100:0/104 | fe80:c25b:dd:ec00:ec00:85:91ff:ffff |
| 147 | fe80:c25b:dd:ec00:ec00:85:9200:0/104 | fe80:c25b:dd:ec00:ec00:85:92ff:ffff |
| 148 | fe80:c25b:dd:ec00:ec00:85:9300:0/104 | fe80:c25b:dd:ec00:ec00:85:93ff:ffff |
| 149 | fe80:c25b:dd:ec00:ec00:85:9400:0/104 | fe80:c25b:dd:ec00:ec00:85:94ff:ffff |
| 150 | fe80:c25b:dd:ec00:ec00:85:9500:0/104 | fe80:c25b:dd:ec00:ec00:85:95ff:ffff |
| 151 | fe80:c25b:dd:ec00:ec00:85:9600:0/104 | fe80:c25b:dd:ec00:ec00:85:96ff:ffff |
| 152 | fe80:c25b:dd:ec00:ec00:85:9700:0/104 | fe80:c25b:dd:ec00:ec00:85:97ff:ffff |
| 153 | fe80:c25b:dd:ec00:ec00:85:9800:0/104 | fe80:c25b:dd:ec00:ec00:85:98ff:ffff |
| 154 | fe80:c25b:dd:ec00:ec00:85:9900:0/104 | fe80:c25b:dd:ec00:ec00:85:99ff:ffff |
| 155 | fe80:c25b:dd:ec00:ec00:85:9a00:0/104 | fe80:c25b:dd:ec00:ec00:85:9aff:ffff |
| 156 | fe80:c25b:dd:ec00:ec00:85:9b00:0/104 | fe80:c25b:dd:ec00:ec00:85:9bff:ffff |
| 157 | fe80:c25b:dd:ec00:ec00:85:9c00:0/104 | fe80:c25b:dd:ec00:ec00:85:9cff:ffff |
| 158 | fe80:c25b:dd:ec00:ec00:85:9d00:0/104 | fe80:c25b:dd:ec00:ec00:85:9dff:ffff |
| 159 | fe80:c25b:dd:ec00:ec00:85:9e00:0/104 | fe80:c25b:dd:ec00:ec00:85:9eff:ffff |
| 160 | fe80:c25b:dd:ec00:ec00:85:9f00:0/104 | fe80:c25b:dd:ec00:ec00:85:9fff:ffff |
| 161 | fe80:c25b:dd:ec00:ec00:85:a000:0/104 | fe80:c25b:dd:ec00:ec00:85:a0ff:ffff |
| 162 | fe80:c25b:dd:ec00:ec00:85:a100:0/104 | fe80:c25b:dd:ec00:ec00:85:a1ff:ffff |
| 163 | fe80:c25b:dd:ec00:ec00:85:a200:0/104 | fe80:c25b:dd:ec00:ec00:85:a2ff:ffff |
| 164 | fe80:c25b:dd:ec00:ec00:85:a300:0/104 | fe80:c25b:dd:ec00:ec00:85:a3ff:ffff |
| 165 | fe80:c25b:dd:ec00:ec00:85:a400:0/104 | fe80:c25b:dd:ec00:ec00:85:a4ff:ffff |
| 166 | fe80:c25b:dd:ec00:ec00:85:a500:0/104 | fe80:c25b:dd:ec00:ec00:85:a5ff:ffff |
| 167 | fe80:c25b:dd:ec00:ec00:85:a600:0/104 | fe80:c25b:dd:ec00:ec00:85:a6ff:ffff |
| 168 | fe80:c25b:dd:ec00:ec00:85:a700:0/104 | fe80:c25b:dd:ec00:ec00:85:a7ff:ffff |
| 169 | fe80:c25b:dd:ec00:ec00:85:a800:0/104 | fe80:c25b:dd:ec00:ec00:85:a8ff:ffff |
| 170 | fe80:c25b:dd:ec00:ec00:85:a900:0/104 | fe80:c25b:dd:ec00:ec00:85:a9ff:ffff |
| 171 | fe80:c25b:dd:ec00:ec00:85:aa00:0/104 | fe80:c25b:dd:ec00:ec00:85:aaff:ffff |
| 172 | fe80:c25b:dd:ec00:ec00:85:ab00:0/104 | fe80:c25b:dd:ec00:ec00:85:abff:ffff |
| 173 | fe80:c25b:dd:ec00:ec00:85:ac00:0/104 | fe80:c25b:dd:ec00:ec00:85:acff:ffff |
| 174 | fe80:c25b:dd:ec00:ec00:85:ad00:0/104 | fe80:c25b:dd:ec00:ec00:85:adff:ffff |
| 175 | fe80:c25b:dd:ec00:ec00:85:ae00:0/104 | fe80:c25b:dd:ec00:ec00:85:aeff:ffff |
| 176 | fe80:c25b:dd:ec00:ec00:85:af00:0/104 | fe80:c25b:dd:ec00:ec00:85:afff:ffff |
| 177 | fe80:c25b:dd:ec00:ec00:85:b000:0/104 | fe80:c25b:dd:ec00:ec00:85:b0ff:ffff |
| 178 | fe80:c25b:dd:ec00:ec00:85:b100:0/104 | fe80:c25b:dd:ec00:ec00:85:b1ff:ffff |
| 179 | fe80:c25b:dd:ec00:ec00:85:b200:0/104 | fe80:c25b:dd:ec00:ec00:85:b2ff:ffff |
| 180 | fe80:c25b:dd:ec00:ec00:85:b300:0/104 | fe80:c25b:dd:ec00:ec00:85:b3ff:ffff |
| 181 | fe80:c25b:dd:ec00:ec00:85:b400:0/104 | fe80:c25b:dd:ec00:ec00:85:b4ff:ffff |
| 182 | fe80:c25b:dd:ec00:ec00:85:b500:0/104 | fe80:c25b:dd:ec00:ec00:85:b5ff:ffff |
| 183 | fe80:c25b:dd:ec00:ec00:85:b600:0/104 | fe80:c25b:dd:ec00:ec00:85:b6ff:ffff |
| 184 | fe80:c25b:dd:ec00:ec00:85:b700:0/104 | fe80:c25b:dd:ec00:ec00:85:b7ff:ffff |
| 185 | fe80:c25b:dd:ec00:ec00:85:b800:0/104 | fe80:c25b:dd:ec00:ec00:85:b8ff:ffff |
| 186 | fe80:c25b:dd:ec00:ec00:85:b900:0/104 | fe80:c25b:dd:ec00:ec00:85:b9ff:ffff |
| 187 | fe80:c25b:dd:ec00:ec00:85:ba00:0/104 | fe80:c25b:dd:ec00:ec00:85:baff:ffff |
| 188 | fe80:c25b:dd:ec00:ec00:85:bb00:0/104 | fe80:c25b:dd:ec00:ec00:85:bbff:ffff |
| 189 | fe80:c25b:dd:ec00:ec00:85:bc00:0/104 | fe80:c25b:dd:ec00:ec00:85:bcff:ffff |
| 190 | fe80:c25b:dd:ec00:ec00:85:bd00:0/104 | fe80:c25b:dd:ec00:ec00:85:bdff:ffff |
| 191 | fe80:c25b:dd:ec00:ec00:85:be00:0/104 | fe80:c25b:dd:ec00:ec00:85:beff:ffff |
| 192 | fe80:c25b:dd:ec00:ec00:85:bf00:0/104 | fe80:c25b:dd:ec00:ec00:85:bfff:ffff |
| 193 | fe80:c25b:dd:ec00:ec00:85:c000:0/104 | fe80:c25b:dd:ec00:ec00:85:c0ff:ffff |
| 194 | fe80:c25b:dd:ec00:ec00:85:c100:0/104 | fe80:c25b:dd:ec00:ec00:85:c1ff:ffff |
| 195 | fe80:c25b:dd:ec00:ec00:85:c200:0/104 | fe80:c25b:dd:ec00:ec00:85:c2ff:ffff |
| 196 | fe80:c25b:dd:ec00:ec00:85:c300:0/104 | fe80:c25b:dd:ec00:ec00:85:c3ff:ffff |
| 197 | fe80:c25b:dd:ec00:ec00:85:c400:0/104 | fe80:c25b:dd:ec00:ec00:85:c4ff:ffff |
| 198 | fe80:c25b:dd:ec00:ec00:85:c500:0/104 | fe80:c25b:dd:ec00:ec00:85:c5ff:ffff |
| 199 | fe80:c25b:dd:ec00:ec00:85:c600:0/104 | fe80:c25b:dd:ec00:ec00:85:c6ff:ffff |
| 200 | fe80:c25b:dd:ec00:ec00:85:c700:0/104 | fe80:c25b:dd:ec00:ec00:85:c7ff:ffff |
| 201 | fe80:c25b:dd:ec00:ec00:85:c800:0/104 | fe80:c25b:dd:ec00:ec00:85:c8ff:ffff |
| 202 | fe80:c25b:dd:ec00:ec00:85:c900:0/104 | fe80:c25b:dd:ec00:ec00:85:c9ff:ffff |
| 203 | fe80:c25b:dd:ec00:ec00:85:ca00:0/104 | fe80:c25b:dd:ec00:ec00:85:caff:ffff |
| 204 | fe80:c25b:dd:ec00:ec00:85:cb00:0/104 | fe80:c25b:dd:ec00:ec00:85:cbff:ffff |
| 205 | fe80:c25b:dd:ec00:ec00:85:cc00:0/104 | fe80:c25b:dd:ec00:ec00:85:ccff:ffff |
| 206 | fe80:c25b:dd:ec00:ec00:85:cd00:0/104 | fe80:c25b:dd:ec00:ec00:85:cdff:ffff |
| 207 | fe80:c25b:dd:ec00:ec00:85:ce00:0/104 | fe80:c25b:dd:ec00:ec00:85:ceff:ffff |
| 208 | fe80:c25b:dd:ec00:ec00:85:cf00:0/104 | fe80:c25b:dd:ec00:ec00:85:cfff:ffff |
| 209 | fe80:c25b:dd:ec00:ec00:85:d000:0/104 | fe80:c25b:dd:ec00:ec00:85:d0ff:ffff |
| 210 | fe80:c25b:dd:ec00:ec00:85:d100:0/104 | fe80:c25b:dd:ec00:ec00:85:d1ff:ffff |
| 211 | fe80:c25b:dd:ec00:ec00:85:d200:0/104 | fe80:c25b:dd:ec00:ec00:85:d2ff:ffff |
| 212 | fe80:c25b:dd:ec00:ec00:85:d300:0/104 | fe80:c25b:dd:ec00:ec00:85:d3ff:ffff |
| 213 | fe80:c25b:dd:ec00:ec00:85:d400:0/104 | fe80:c25b:dd:ec00:ec00:85:d4ff:ffff |
| 214 | fe80:c25b:dd:ec00:ec00:85:d500:0/104 | fe80:c25b:dd:ec00:ec00:85:d5ff:ffff |
| 215 | fe80:c25b:dd:ec00:ec00:85:d600:0/104 | fe80:c25b:dd:ec00:ec00:85:d6ff:ffff |
| 216 | fe80:c25b:dd:ec00:ec00:85:d700:0/104 | fe80:c25b:dd:ec00:ec00:85:d7ff:ffff |
| 217 | fe80:c25b:dd:ec00:ec00:85:d800:0/104 | fe80:c25b:dd:ec00:ec00:85:d8ff:ffff |
| 218 | fe80:c25b:dd:ec00:ec00:85:d900:0/104 | fe80:c25b:dd:ec00:ec00:85:d9ff:ffff |
| 219 | fe80:c25b:dd:ec00:ec00:85:da00:0/104 | fe80:c25b:dd:ec00:ec00:85:daff:ffff |
| 220 | fe80:c25b:dd:ec00:ec00:85:db00:0/104 | fe80:c25b:dd:ec00:ec00:85:dbff:ffff |
| 221 | fe80:c25b:dd:ec00:ec00:85:dc00:0/104 | fe80:c25b:dd:ec00:ec00:85:dcff:ffff |
| 222 | fe80:c25b:dd:ec00:ec00:85:dd00:0/104 | fe80:c25b:dd:ec00:ec00:85:ddff:ffff |
| 223 | fe80:c25b:dd:ec00:ec00:85:de00:0/104 | fe80:c25b:dd:ec00:ec00:85:deff:ffff |
| 224 | fe80:c25b:dd:ec00:ec00:85:df00:0/104 | fe80:c25b:dd:ec00:ec00:85:dfff:ffff |
| 225 | fe80:c25b:dd:ec00:ec00:85:e000:0/104 | fe80:c25b:dd:ec00:ec00:85:e0ff:ffff |
| 226 | fe80:c25b:dd:ec00:ec00:85:e100:0/104 | fe80:c25b:dd:ec00:ec00:85:e1ff:ffff |
| 227 | fe80:c25b:dd:ec00:ec00:85:e200:0/104 | fe80:c25b:dd:ec00:ec00:85:e2ff:ffff |
| 228 | fe80:c25b:dd:ec00:ec00:85:e300:0/104 | fe80:c25b:dd:ec00:ec00:85:e3ff:ffff |
| 229 | fe80:c25b:dd:ec00:ec00:85:e400:0/104 | fe80:c25b:dd:ec00:ec00:85:e4ff:ffff |
| 230 | fe80:c25b:dd:ec00:ec00:85:e500:0/104 | fe80:c25b:dd:ec00:ec00:85:e5ff:ffff |
| 231 | fe80:c25b:dd:ec00:ec00:85:e600:0/104 | fe80:c25b:dd:ec00:ec00:85:e6ff:ffff |
| 232 | fe80:c25b:dd:ec00:ec00:85:e700:0/104 | fe80:c25b:dd:ec00:ec00:85:e7ff:ffff |
| 233 | fe80:c25b:dd:ec00:ec00:85:e800:0/104 | fe80:c25b:dd:ec00:ec00:85:e8ff:ffff |
| 234 | fe80:c25b:dd:ec00:ec00:85:e900:0/104 | fe80:c25b:dd:ec00:ec00:85:e9ff:ffff |
| 235 | fe80:c25b:dd:ec00:ec00:85:ea00:0/104 | fe80:c25b:dd:ec00:ec00:85:eaff:ffff |
| 236 | fe80:c25b:dd:ec00:ec00:85:eb00:0/104 | fe80:c25b:dd:ec00:ec00:85:ebff:ffff |
| 237 | fe80:c25b:dd:ec00:ec00:85:ec00:0/104 | fe80:c25b:dd:ec00:ec00:85:ecff:ffff |
| 238 | fe80:c25b:dd:ec00:ec00:85:ed00:0/104 | fe80:c25b:dd:ec00:ec00:85:edff:ffff |
| 239 | fe80:c25b:dd:ec00:ec00:85:ee00:0/104 | fe80:c25b:dd:ec00:ec00:85:eeff:ffff |
| 240 | fe80:c25b:dd:ec00:ec00:85:ef00:0/104 | fe80:c25b:dd:ec00:ec00:85:efff:ffff |
| 241 | fe80:c25b:dd:ec00:ec00:85:f000:0/104 | fe80:c25b:dd:ec00:ec00:85:f0ff:ffff |
| 242 | fe80:c25b:dd:ec00:ec00:85:f100:0/104 | fe80:c25b:dd:ec00:ec00:85:f1ff:ffff |
| 243 | fe80:c25b:dd:ec00:ec00:85:f200:0/104 | fe80:c25b:dd:ec00:ec00:85:f2ff:ffff |
| 244 | fe80:c25b:dd:ec00:ec00:85:f300:0/104 | fe80:c25b:dd:ec00:ec00:85:f3ff:ffff |
| 245 | fe80:c25b:dd:ec00:ec00:85:f400:0/104 | fe80:c25b:dd:ec00:ec00:85:f4ff:ffff |
| 246 | fe80:c25b:dd:ec00:ec00:85:f500:0/104 | fe80:c25b:dd:ec00:ec00:85:f5ff:ffff |
| 247 | fe80:c25b:dd:ec00:ec00:85:f600:0/104 | fe80:c25b:dd:ec00:ec00:85:f6ff:ffff |
| 248 | fe80:c25b:dd:ec00:ec00:85:f700:0/104 | fe80:c25b:dd:ec00:ec00:85:f7ff:ffff |
| 249 | fe80:c25b:dd:ec00:ec00:85:f800:0/104 | fe80:c25b:dd:ec00:ec00:85:f8ff:ffff |
| 250 | fe80:c25b:dd:ec00:ec00:85:f900:0/104 | fe80:c25b:dd:ec00:ec00:85:f9ff:ffff |
| 251 | fe80:c25b:dd:ec00:ec00:85:fa00:0/104 | fe80:c25b:dd:ec00:ec00:85:faff:ffff |
| 252 | fe80:c25b:dd:ec00:ec00:85:fb00:0/104 | fe80:c25b:dd:ec00:ec00:85:fbff:ffff |
| 253 | fe80:c25b:dd:ec00:ec00:85:fc00:0/104 | fe80:c25b:dd:ec00:ec00:85:fcff:ffff |
| 254 | fe80:c25b:dd:ec00:ec00:85:fd00:0/104 | fe80:c25b:dd:ec00:ec00:85:fdff:ffff |
| 255 | fe80:c25b:dd:ec00:ec00:85:fe00:0/104 | fe80:c25b:dd:ec00:ec00:85:feff:ffff |
| 256 | fe80:c25b:dd:ec00:ec00:85:ff00:0/104 | fe80:c25b:dd:ec00:ec00:85:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |